﻿@page "{crypto}"

@model Nexus.Samples.Broker.Pages.Account.ExtraModel
@{
    string dcCode = Html.GetActiveCryptoName();
    string dc = Html.GetActiveCryptoCode();

    var cryptoSelector = new CryptoSelectorViewModel("", "/Account/Extra", RouteData.Values["crypto"].ToString(), false);
    ViewData["Title"] = Resources.AccountPages.AccountAdditionalTabTitle;
}

<div class="page page--grey container-fluid">
    <div class="row">
        <div class="col-md-6 intro py-5 d-flex align-items-center">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-xl-8 col-lg-10">
                        <div class="intro__content">
                            <h1 class="intro__title">@Resources.AccountPages.AccountAsideTitle</h1>
                            <div class="intro__content">@Resources.AccountPages.AccountAsideDesc</div>
                            <partial name="_CryptoSelector" model="cryptoSelector" />
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-md-6 py-5">
            <div class="container">
                <div class="row d-flex justify-content-center">
                    <div class="col-xl-8 col-lg-10">
                        <form method="post" class="form frends-form create">
                            @Html.AntiForgeryToken()

                            <input type="hidden" asp-for="CryptoCode" value="@dc" />

                            <div class="form__group">
                                <label class="form__label" asp-for="AccountCode">@Resources.AccountPages.AccountDeletePlaceholderAccount</label>
                                <a asp-page="/Account/Index" asp-route-crypto="@dcCode" class="form__help">@Resources.Site.NoAccountCode</a>

                                <input asp-for="AccountCode" class="form__control" placeholder="@String.Format(Resources.AccountPages.AccountAdditionalPlaceholderAccount, dcCode)" />

                                <div class="form__error">
                                    <span asp-validation-for="AccountCode"></span>
                                </div>
                            </div>

                            <div class="form__group">
                                <label class="form__label" asp-for="CustomerCryptoAddress">@String.Format(Resources.AccountPages.AccountAdditionalPlaceholderAddress, dcCode)</label>

                                <input asp-for="CustomerCryptoAddress" class="form__control" placeholder="..." />

                                <div class="form__error">
                                    <span asp-validation-for="CustomerCryptoAddress"></span>
                                </div>
                            </div>

                            <button type="submit" class="form__submit btn btn-brand-color">
                                @Resources.AccountPages.AccountAdditionalCreateButton
                            </button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>